VERSION 2.00
Begin MDIForm frmMyMDI 
   Caption         =   "The MyMDI form"
   ClientHeight    =   5055
   ClientLeft      =   1080
   ClientTop       =   1290
   ClientWidth     =   7365
   Height          =   5745
   Icon            =   MYMDI.FRX:0000
   Left            =   1020
   LinkTopic       =   "MDIForm1"
   Top             =   660
   Width           =   7485
   Begin PictureBox Picture2 
      Align           =   2  'Align Bottom
      Height          =   495
      Left            =   0
      ScaleHeight     =   465
      ScaleWidth      =   7335
      TabIndex        =   2
      Top             =   4560
      Width           =   7365
      Begin CommandButton cmdCry 
         Caption         =   "&Cry"
         Height          =   495
         Left            =   2400
         TabIndex        =   3
         Top             =   0
         Width           =   1335
      End
   End
   Begin PictureBox Picture1 
      Align           =   1  'Align Top
      BackColor       =   &H00C0C0C0&
      Height          =   1695
      Left            =   0
      ScaleHeight     =   1665
      ScaleWidth      =   7335
      TabIndex        =   0
      Top             =   0
      Width           =   7365
      Begin CommandButton cmdExit 
         Caption         =   "E&xit"
         Height          =   495
         Left            =   600
         TabIndex        =   1
         Top             =   0
         Width           =   495
      End
      Begin Image Image3 
         Height          =   1635
         Left            =   1320
         Picture         =   MYMDI.FRX:0302
         Top             =   0
         Width           =   1530
      End
      Begin Image Image2 
         Height          =   1635
         Left            =   1320
         Picture         =   MYMDI.FRX:19A0
         Top             =   0
         Visible         =   0   'False
         Width           =   1530
      End
      Begin Image Image1 
         Height          =   1635
         Left            =   1320
         Picture         =   MYMDI.FRX:303E
         Top             =   0
         Visible         =   0   'False
         Width           =   1530
      End
   End
   Begin Menu mnuFile 
      Caption         =   "&File"
      Begin Menu mnuExit 
         Caption         =   "E&xit"
      End
   End
   Begin Menu mnuShowChildren 
      Caption         =   "&Show Children"
      Begin Menu mnuShowChild1 
         Caption         =   "Show Child &1"
      End
      Begin Menu mnuShowChild2 
         Caption         =   "Show Child &2"
      End
      Begin Menu mnuShowChild3 
         Caption         =   "Show Child &3"
      End
      Begin Menu mnuSep 
         Caption         =   "-"
      End
      Begin Menu mnuShowAll 
         Caption         =   "Show &All"
      End
      Begin Menu mnuClearAll 
         Caption         =   "&Clear All"
      End
   End
   Begin Menu mnuWindow 
      Caption         =   "&Window"
      WindowList      =   -1  'True
      Begin Menu mnuCascade 
         Caption         =   "&Cascade"
      End
      Begin Menu mnuTile 
         Caption         =   "&Tile"
      End
      Begin Menu mnuArrangeIcons 
         Caption         =   "&Arrange Icons"
      End
      Begin Menu mnuTileVertical 
         Caption         =   "Tile &Vertical"
      End
   End
End
Option Explicit

Sub cmdCry_Click ()

    Dim Dummy

    Dummy = sp_PlaySnd(ggSessionNumber, SP_START_OF_FILE, SP_END_OF_FILE)

End Sub

Sub cmdExit_Click ()

    Dim Dummy

    ' Close the WAV session
    Dummy = sp_CloseSession(ggSessionNumber)

    End

End Sub

Sub Image3_MouseDown (Button As Integer, Shift As Integer, X As Single, Y As Single)

    Image3.Picture = Image2.Picture

End Sub

Sub Image3_MouseUp (Button As Integer, Shift As Integer, X As Single, Y As Single)

    Image3.Picture = Image1.Picture

End Sub

Sub MDIForm_Load ()
    

    Dim DriveName As String
    Dim WavFileName As String

    ' Extract the drive name where this program resides
    DriveName = Left(App.Path, 2)
    
    ' Open a WAV session
    WavFileName = DriveName + "\MVPROG\WAV\8CryBaby.WAV"
    ggSessionNumber = sp_OpenSession(WavFileName)
  



    ' Upon starting the program, show the three
    ' children.
    frmChild1.Show
    frmChild2.Show
    frmChild3.Show



End Sub

Sub MDIForm_Unload (Cancel As Integer)

    Dim Dummy


    ' Close the WAV session
    Dummy = sp_CloseSession(ggSessionNumber)

End Sub

Sub mnuArrangeIcons_Click ()

    frmMyMDI.Arrange ARRANGE_ICONS

End Sub

Sub mnuCascade_Click ()

    frmMyMDI.Arrange CASCADE

End Sub

Sub mnuClearAll_Click ()

    ' The user selected Clear All from the Show
    ' Picture menu, so unload the children.
    Unload frmChild1
    Unload frmChild2
    Unload frmChild3


End Sub

Sub mnuExit_Click ()
    
    Dim Dummy

    ' Close the WAV session
    Dummy = sp_CloseSession(ggSessionNumber)


    ' The user selected Exit from the menu,
    ' so terminate the program.
    End

End Sub

Sub mnuShowAll_Click ()

    ' The user selected Show All from the menu,
    ' so show all the children.
    frmChild1.Show
    frmChild2.Show
    frmChild3.Show

End Sub

Sub mnuShowChild1_Click ()

    ' The user selected Show Child 1 from the
    ' menu, so show child 1.
    frmChild1.Show


End Sub

Sub mnuShowChild2_Click ()
    
    ' The user selected Show Child 2 from
    ' the menu, so show child 2.
    frmChild2.Show

End Sub

Sub mnuShowChild3_Click ()

    ' The user selected Show Child 3 from the
    ' menu, so show child 3.
    frmChild3.Show

End Sub

Sub mnuTile_Click ()

    frmMyMDI.Arrange TILE_HORIZONTAL

End Sub

Sub mnuTileVertical_Click ()
    
    frmMyMDI.Arrange TILE_VERTICAL

End Sub

