VERSION 2.00
Begin Form frmLOOP2 
   BackColor       =   &H00808080&
   Caption         =   "The LOOP2 Program"
   ClientHeight    =   3960
   ClientLeft      =   3270
   ClientTop       =   840
   ClientWidth     =   3360
   Height          =   4365
   Icon            =   LOOP2.FRX:0000
   Left            =   3210
   LinkTopic       =   "Form1"
   ScaleHeight     =   3960
   ScaleWidth      =   3360
   Top             =   495
   Width           =   3480
   Begin CommandButton cmdDisplay 
      Caption         =   "&Display Speech"
      Height          =   495
      Left            =   240
      TabIndex        =   1
      Top             =   3360
      Width           =   2895
   End
   Begin CommandButton cmdPlay 
      Caption         =   "&Play Speech"
      Height          =   495
      Left            =   240
      TabIndex        =   0
      Top             =   2760
      Width           =   2895
   End
   Begin Label lblSpeech 
      Alignment       =   2  'Center
      BackColor       =   &H00808080&
      ForeColor       =   &H00FFFFFF&
      Height          =   2415
      Left            =   0
      TabIndex        =   2
      Top             =   240
      Visible         =   0   'False
      Width           =   3375
   End
   Begin Image Image1 
      Height          =   2400
      Left            =   600
      Picture         =   LOOP2.FRX:0302
      Top             =   240
      Width           =   2100
   End
End
' All variables must be declared before using them.
Option Explicit


' Declare a variable that will hold the session number.
Dim gSessionNumber

' Declare constants
Const SP_START_OF_FILE = -1
Const SP_END_OF_FILE = -2

' Declare the sp_OpenSession() function from
' the TegoSND.DLL library.
Declare Function sp_OpenSession Lib "TegoSND.DLL" (ByVal lpstrFileName As String) As Integer

' Declare the sp_PlaySnd() function from
' the TegoSND.DLL library.
Declare Function sp_PlaySnd Lib "TegoSND.DLL" (ByVal iSessionHandler As Integer, ByVal lStartPoint As Long, ByVal lEndPoint As Long) As Long

' Declare the sp_CloseSession() function from
' the TegoSND.DLL library.
Declare Function sp_CloseSession Lib "TegoSND.DLL" (ByVal iSessionHandler As Integer) As Integer

' Declare the sp_MouseON() function from
' the TegoSND.DLL library.
Declare Function sp_MouseON Lib "TegoSND.DLL" (ByVal iSessionHandler As Integer) As Integer

' Declare the sp_MouseOFF() function from
' the TegoSND.DLL library.
Declare Function sp_MouseOFF Lib "TegoSND.DLL" (ByVal iSessionHandler As Integer) As Integer

Sub cmdDisplay_Click ()

    If cmdDisplay.Caption = "&Display Speech" Then
       lblSpeech.Caption = "So my fellow Americans" + Chr(13) + "ask not" + Chr(13) + "what your country can do for you" + Chr(13) + "ask what you can do for your country"

       ' Make the label visible
       lblSpeech.Visible = True

       ' Change the caption of the button
       cmdDisplay.Caption = "&Remove Text Message"
    Else
       ' Make the label invisible
       lblSpeech.Visible = False

       ' Change the caption of the button
       cmdDisplay.Caption = "&Display Speech"
    End If


End Sub

Sub cmdPlay_Click ()
    
    Dim Dummy
    Dim CurrentPosition

    ' Make the mouse available
    Dummy = sp_MouseON(gSessionNumber)
    CurrentPosition = 0
    
    Do While True

       ' Play the WAV file through the PC speaker
       CurrentPosition = sp_PlaySnd(gSessionNumber, CurrentPosition, CurrentPosition + 10000)

       If CurrentPosition = 0 Then
          Exit Do
       End If

       DoEvents
    Loop

End Sub

Sub Form_Load ()
    
    Dim DriveName As String

    Dim FileName
    Const MB_ICONSTOP = 16


    ' Extract the drive name where this program resides
    DriveName = Left(App.Path, 2)
    
    ' Open a WAV session
    FileName = DriveName + "\MVPROG\WAV\8Kenned3.WAV"
    gSessionNumber = sp_OpenSession(FileName)
    

        If gSessionNumber < 0 Then
            MsgBox "Can't open " + FileName, MB_ICONSTOP, "ERROR, WAV FILE WAS NOT OPENED"
        End If

End Sub

Sub Form_Unload (Cancel As Integer)

    Dim Dummy

    ' Close the WAV session
    Dummy = sp_CloseSession(gSessionNumber)

End Sub

