VERSION 2.00
Begin Form frmPlayWave 
   Caption         =   "The PlayWave Program"
   ClientHeight    =   4035
   ClientLeft      =   1950
   ClientTop       =   1590
   ClientWidth     =   5535
   Height          =   4440
   Icon            =   PLAYWAVE.FRX:0000
   Left            =   1890
   LinkTopic       =   "Form1"
   ScaleHeight     =   4035
   ScaleWidth      =   5535
   Top             =   1245
   Width           =   5655
   Begin OptionButton optSoundCard 
      Caption         =   "&Sound Card"
      Height          =   375
      Left            =   2880
      TabIndex        =   5
      Top             =   3240
      Width           =   1335
   End
   Begin OptionButton optPCSpeaker 
      Caption         =   "PC Speaker"
      Height          =   375
      Left            =   1200
      TabIndex        =   7
      Top             =   3240
      Width           =   1455
   End
   Begin Frame Frame1 
      Caption         =   "Output Device"
      Height          =   975
      Left            =   1080
      TabIndex        =   6
      Top             =   2880
      Width           =   3255
   End
   Begin CommandButton cmdExit 
      Caption         =   "E&xit"
      Height          =   735
      Left            =   2880
      TabIndex        =   4
      Top             =   2040
      Width           =   2535
   End
   Begin CommandButton cmdPlay 
      Caption         =   "&Play"
      Height          =   735
      Left            =   120
      TabIndex        =   3
      Top             =   2040
      Width           =   2535
   End
   Begin CommandButton cmdHide 
      Caption         =   "&Hide"
      Height          =   735
      Left            =   120
      TabIndex        =   1
      Top             =   1200
      Width           =   2535
   End
   Begin CommandButton cmdShow 
      Caption         =   "&Show"
      Height          =   735
      Left            =   2880
      TabIndex        =   2
      Top             =   1200
      Width           =   2535
   End
   Begin TEGOMM TegommWav 
      BorderStyle     =   0  'None
      DeviceType      =   ""
      FileName        =   ""
      Height          =   855
      Left            =   120
      pcSpeed         =   100
      pcTaskInterval  =   0
      RecordMode      =   0  'Insert
      Shareable       =   0   'False
      Silent          =   0   'False
      TabIndex        =   0
      Tempo           =   0
      Top             =   240
      UpdateInterval  =   0
      Width           =   5265
   End
End
Option Explicit

Sub cmdExit_Click ()
    End
End Sub

Sub cmdHide_Click ()

    ' Make the multimedia control invisible.
    TegommWav.Visible = False

End Sub

Sub cmdPlay_Click ()
    
    ' Issue a Play command.
    TegommWav.Command = "Play"
    
End Sub

Sub cmdShow_Click ()
    
    ' Make the multimedia control visible.
    TegommWav.Visible = True

End Sub

Sub Form_Load ()

    Dim WavFile
    
    ' Set the device type for playing WAV files
    ' through the PC speaker.
    TegommWav.DeviceType = "PCSpeaker"

    ' Set the WAV filename to be played.
    WavFile = Left(App.Path, 2) + "\MVPROG\WAV\BOURB1M1.WAV"
    TegommWav.FileName = WavFile

    ' Isuue an Open command.
    TegommWav.Command = "Open"

    ' Did the Open command fail?
    If TegommWav.Error <> 0 Then
       MsgBox "Cannot open " + WavFile, 0, "ERROR"
    End If

    ' Initially, the PC speaker option button should be
    ' selected.
    optPCSpeaker.Value = True

End Sub

Sub optPCSpeaker_Click ()

    ' Open the multimedia device for playback
    ' of WAV files through the PC speaker.
    TegommWav.DeviceType = "PCSpeaker"
    TegommWav.Command = "Open"

End Sub

Sub optSoundCard_Click ()
    
    ' Open the multimedia device for playback
    ' of WAV files through the sound card.
    TegommWav.DeviceType = "WaveAudio"
    TegommWav.Command = "Open"

End Sub

Sub TegommWav_Done ()

    ' If playback position reached end of file,
    ' rewind the playback position.
    If TegommWav.Position = TegommWav.Length Then
       TegommWav.Command = "Prev"
    End If

End Sub

