VERSION 2.00
Begin Form frmCdPlayer 
   BackColor       =   &H000040C0&
   Caption         =   "CD Player"
   ClientHeight    =   1680
   ClientLeft      =   525
   ClientTop       =   2745
   ClientWidth     =   8805
   Height          =   2085
   Icon            =   CDPLAYER.FRX:0000
   Left            =   465
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   ScaleHeight     =   1680
   ScaleWidth      =   8805
   Top             =   2400
   Width           =   8925
   Begin CommandButton cmdExit 
      BackColor       =   &H000040C0&
      Caption         =   "E&xit"
      Height          =   975
      Left            =   7320
      TabIndex        =   6
      Top             =   360
      Width           =   1335
   End
   Begin CommandButton cmdEject 
      BackColor       =   &H000040C0&
      Caption         =   "&Eject"
      Height          =   975
      Left            =   5880
      TabIndex        =   5
      Top             =   360
      Width           =   1335
   End
   Begin CommandButton cmdNext 
      BackColor       =   &H000040C0&
      Caption         =   "&Next"
      Height          =   975
      Left            =   4440
      TabIndex        =   4
      Top             =   360
      Width           =   1335
   End
   Begin CommandButton cmdPrev 
      BackColor       =   &H000040C0&
      Caption         =   "P&revious"
      Height          =   975
      Left            =   3000
      TabIndex        =   3
      Top             =   360
      Width           =   1335
   End
   Begin CommandButton cmdPlay 
      BackColor       =   &H000040C0&
      Caption         =   "&Play"
      Height          =   975
      Left            =   1560
      TabIndex        =   2
      Top             =   360
      Width           =   1335
   End
   Begin CommandButton cmdLoad 
      BackColor       =   &H000040C0&
      Caption         =   "&Load"
      Height          =   975
      Left            =   120
      TabIndex        =   1
      Top             =   360
      Width           =   1335
   End
   Begin TEGOMM TegommCD 
      BorderStyle     =   0  'None
      DeviceType      =   ""
      FileName        =   ""
      Height          =   330
      Left            =   2640
      pcTaskInterval  =   0
      RecordMode      =   0  'Insert
      Shareable       =   -1  'True
      Silent          =   0   'False
      TabIndex        =   0
      Tempo           =   0
      Top             =   0
      UpdateInterval  =   0
      Visible         =   0   'False
      Width           =   3510
   End
End
Option Explicit

Sub cmdEject_Click ()
    
    ' Is the door of the CD-ROM drive is currently open,
    ' then close it. Otherwise, open the door of the
    ' CD-ROM drive.
    If TegommCD.Mode = 530 Then
       TegommCD.Command = "CloseDoor"
    Else
       TegommCD.Command = "Eject"
    End If

End Sub

Sub cmdExit_Click ()
    End
End Sub

Sub cmdLoad_Click ()
    
    ' Issue an Open command.
    TegommCD.Command = "Open"

    ' If Open command failed, display an error message.
    If TegommCD.Error <> 0 Then
       MsgBox "Cannot load the CD device.", 0, "ERROR"
    End If


End Sub

Sub cmdNext_Click ()
    
    ' Issue a Next command.
    TegommCD.Command = "Next"

End Sub

Sub cmdPlay_Click ()

    ' Play or Stop?
    If TegommCD.Mode = 526 Then
       TegommCD.Command = "Stop"
    Else
       TegommCD.Command = "Play"
    End If

End Sub

Sub cmdPrev_Click ()
    
    ' Issue a Prev command.
    TegommCD.Command = "Prev"

End Sub

Sub Form_Load ()

    ' Make the multimedia control invisible.
    TegommCD.Visible = False
    
    ' Set the device type for playback of CD audio.
    TegommCD.DeviceType = "CDAudio"

    ' Issue an Open command.
    TegommCD.Command = "Open"

    ' Set the timer interval of the multimedia control
    ' to 500 milliseconds.
    TegommCD.UpdateInterval = 500

End Sub

Sub TegommCD_StatusUpdate ()
    
    Static OldMode
    Static OldPosition
    
    ' Set the caption of the Play button according
    ' to the playback mode (only if mode has changed).
    If TegommCD.Mode <> OldMode Then
       If TegommCD.Mode = 526 Then
          cmdPlay.Caption = "Sto&p"
       Else
          cmdPlay.Caption = "&Play"
       End If
    End If
    
    ' If the CD-ROM drive is not ready, then
    ' disable the Play, Prev, and Next buttons, and
    ' terminate this procedure.
    If TegommCD.Mode = 524 Or TegommCD.Mode = 530 Or TegommCD.Mode = 0 Then
       cmdPlay.Enabled = False
       cmdPrev.Enabled = False
       cmdNext.Enabled = False
    Else
       cmdPlay.Enabled = True
       cmdPrev.Enabled = True
       cmdNext.Enabled = True
    End If
    
    ' Set the time format to Tracks.
    TegommCD.TimeFormat = "TMSF"
    
    ' If the position has changed (i.e. new track),
    ' then, update the caption of the form accordingly.
    If TegommCD.Position <> OldPosition Then
       frmCdPlayer.Caption = "CD Player - Track " + TegommCD.Position
    End If

    ' Update the OldMode and OldPosition variables.
    OldMode = TegommCD.Mode
    OldPosition = TegommCD.Position

End Sub

