VERSION 2.00
Begin Form frmWavGraph 
   BackColor       =   &H00C0C000&
   Caption         =   "The  WavGraph Program"
   ClientHeight    =   6300
   ClientLeft      =   225
   ClientTop       =   675
   ClientWidth     =   9045
   Height          =   6705
   Icon            =   WAVGRAPH.FRX:0000
   Left            =   165
   LinkTopic       =   "Form1"
   ScaleHeight     =   6300
   ScaleWidth      =   9045
   Top             =   330
   Width           =   9165
   Begin CommandButton Command10 
      Caption         =   "1&0"
      Height          =   495
      Left            =   6240
      TabIndex        =   16
      Top             =   5640
      Width           =   495
   End
   Begin CommandButton Command9 
      Caption         =   "&9"
      Height          =   495
      Left            =   5760
      TabIndex        =   15
      Top             =   5640
      Width           =   495
   End
   Begin CommandButton Command8 
      Caption         =   "&8"
      Height          =   495
      Left            =   5280
      TabIndex        =   14
      Top             =   5640
      Width           =   495
   End
   Begin CommandButton Command7 
      Caption         =   "&7"
      Height          =   495
      Left            =   4800
      TabIndex        =   13
      Top             =   5640
      Width           =   495
   End
   Begin CommandButton Command6 
      Caption         =   "&6"
      Height          =   495
      Left            =   4320
      TabIndex        =   12
      Top             =   5640
      Width           =   495
   End
   Begin CommandButton Command4 
      Caption         =   "&4"
      Height          =   495
      Left            =   3360
      TabIndex        =   11
      Top             =   5640
      Width           =   495
   End
   Begin CommandButton Command3 
      Caption         =   "&3"
      Height          =   495
      Left            =   2880
      TabIndex        =   10
      Top             =   5640
      Width           =   495
   End
   Begin CommandButton Command2 
      Caption         =   "&2"
      Height          =   495
      Left            =   2400
      TabIndex        =   9
      Top             =   5640
      Width           =   495
   End
   Begin CommandButton Command1 
      Caption         =   "&1"
      Height          =   495
      Left            =   1920
      TabIndex        =   8
      Top             =   5640
      Width           =   495
   End
   Begin TEGOMM Tegomm1 
      BorderStyle     =   0  'None
      DeviceType      =   ""
      FileName        =   ""
      Height          =   495
      Left            =   360
      pcSpeed         =   100
      pcTaskInterval  =   0
      RecordMode      =   0  'Insert
      Shareable       =   0   'False
      Silent          =   0   'False
      TabIndex        =   7
      Tempo           =   0
      Top             =   120
      UpdateInterval  =   0
      Width           =   4185
   End
   Begin CommandButton cmdDisplay 
      Caption         =   "&D i s p l a y   W A V   F i l e"
      Height          =   495
      Left            =   4560
      TabIndex        =   6
      Top             =   120
      Width           =   4215
   End
   Begin GRAPH Graph1 
      Background      =   3  'Cyan
      Height          =   4335
      Labels          =   3  'Y Labels only
      Left            =   360
      TabIndex        =   5
      Ticks           =   3  'Y Ticks only
      Top             =   600
      Width           =   8415
   End
   Begin CommandButton cmdExit 
      Caption         =   "E&xit"
      Height          =   495
      Left            =   240
      TabIndex        =   4
      Top             =   5160
      Width           =   735
   End
   Begin OptionButton optChord 
      BackColor       =   &H00C0C0C0&
      Caption         =   "CHORD.WAV"
      Height          =   495
      Left            =   5640
      TabIndex        =   3
      Top             =   5160
      Width           =   1575
   End
   Begin OptionButton optChimes 
      BackColor       =   &H00C0C0C0&
      Caption         =   "CHIMES.WAV"
      Height          =   495
      Left            =   4080
      TabIndex        =   2
      Top             =   5160
      Width           =   1575
   End
   Begin OptionButton optTada 
      BackColor       =   &H00C0C0C0&
      Caption         =   "TADA.WAV"
      Height          =   495
      Left            =   2640
      TabIndex        =   1
      Top             =   5160
      Width           =   1455
   End
   Begin OptionButton optDing 
      BackColor       =   &H00C0C0C0&
      Caption         =   "DING.WAV"
      Height          =   495
      Left            =   1200
      TabIndex        =   0
      Top             =   5160
      Value           =   -1  'True
      Width           =   1455
   End
End
Option Explicit

Dim gType

Sub cmdDisplay_Click ()

    Dim I, j
    Dim Increment

    Graph1.NumPoints = 301
    j = 1
    Increment = Tegomm1.Length / 300
    For I = 0 To Tegomm1.Length Step Increment
        
        Tegomm1.SampleNumber = I

        Graph1.ThisPoint = j
        j = j + 1
        
        Graph1.GraphData = Tegomm1.SampleValue1 - 128
         
    
    Next I
        
Graph1.GraphType = gType
Graph1.DrawMode = 2

End Sub

Sub cmdExit_Click ()

    End

End Sub

Sub Command1_Click ()
    
    gType = 1
    cmdDisplay_Click

End Sub

Sub Command10_Click ()

    gType = 10
    cmdDisplay_Click
End Sub

Sub Command2_Click ()

    gType = 2
    cmdDisplay_Click
End Sub

Sub Command3_Click ()

    gType = 3
    cmdDisplay_Click
End Sub

Sub Command4_Click ()

    gType = 4
    cmdDisplay_Click
End Sub

Sub Command6_Click ()

    gType = 6
    cmdDisplay_Click
End Sub

Sub Command7_Click ()

    gType = 7
    cmdDisplay_Click
End Sub

Sub Command8_Click ()

    gType = 8
    cmdDisplay_Click
End Sub

Sub Command9_Click ()

    gType = 9
    cmdDisplay_Click
End Sub

Sub Form_Load ()

    gType = 3

    ' Clear the graph
    Graph1.DrawMode = 1


    Tegomm1.DeviceType = "WaveAudio"
    Tegomm1.FileName = Tegomm1.WindowsDirectory + "\ding.wav"
    Tegomm1.Command = "Open"
    Tegomm1.TimeFormat = "Samples"
    Tegomm1.Command = "UpdateWaveBuffer"

End Sub

Sub optChimes_Click ()
    
    Tegomm1.FileName = Tegomm1.WindowsDirectory + "\chimes.wav"
    Tegomm1.Command = "Open"
    Tegomm1.TimeFormat = "Samples"
    Tegomm1.Command = "UpdateWaveBuffer"
    cmdDisplay_Click
End Sub

Sub optChord_Click ()

    Tegomm1.FileName = Tegomm1.WindowsDirectory + "\chord.wav"
    Tegomm1.Command = "Open"
    Tegomm1.TimeFormat = "Samples"
    Tegomm1.Command = "UpdateWaveBuffer"
    cmdDisplay_Click
End Sub

Sub optDing_Click ()

    Tegomm1.FileName = Tegomm1.WindowsDirectory + "\ding.wav"
    Tegomm1.Command = "Open"
    Tegomm1.TimeFormat = "Samples"
    Tegomm1.Command = "UpdateWaveBuffer"
    cmdDisplay_Click
End Sub

Sub optTada_Click ()

    
    Tegomm1.FileName = Tegomm1.WindowsDirectory + "\tada.wav"
    Tegomm1.Command = "Open"
    Tegomm1.TimeFormat = "Samples"
    Tegomm1.Command = "UpdateWaveBuffer"
    cmdDisplay_Click
    
End Sub

Sub Tegomm1_Done ()

    If Tegomm1.Position = Tegomm1.Length Then
       Tegomm1.Command = "Prev"
    End If

End Sub

