VERSION 2.00
Begin Form frmPlayMidi 
   Caption         =   "The Play Midi Program"
   ClientHeight    =   3825
   ClientLeft      =   1125
   ClientTop       =   1440
   ClientWidth     =   7230
   Height          =   4230
   Icon            =   PLAYMIDI.FRX:0000
   Left            =   1065
   LinkTopic       =   "Form1"
   ScaleHeight     =   3825
   ScaleWidth      =   7230
   Top             =   1095
   Width           =   7350
   Begin HScrollBar hsbPosition 
      Height          =   495
      Left            =   240
      TabIndex        =   8
      Top             =   360
      Width           =   6735
   End
   Begin TEGOMM TegommMid 
      BorderStyle     =   0  'None
      DeviceType      =   ""
      FileName        =   ""
      Height          =   330
      Left            =   1800
      pcSpeed         =   100
      pcTaskInterval  =   0
      RecordMode      =   0  'Insert
      Shareable       =   0   'False
      Silent          =   0   'False
      TabIndex        =   7
      Tempo           =   0
      Top             =   0
      UpdateInterval  =   0
      Width           =   3510
   End
   Begin CommandButton cmdExit 
      Caption         =   "E&xit"
      Height          =   855
      Left            =   3960
      TabIndex        =   6
      Top             =   2760
      Width           =   3135
   End
   Begin CommandButton cmdFast 
      Caption         =   "&Fastest"
      Height          =   495
      Left            =   5760
      TabIndex        =   5
      Top             =   1920
      Width           =   1215
   End
   Begin CommandButton cmdNormal 
      Caption         =   "&Normal"
      Height          =   495
      Left            =   3120
      TabIndex        =   4
      Top             =   1920
      Width           =   1215
   End
   Begin CommandButton cmdSlow 
      Caption         =   "&Slowest"
      Height          =   495
      Left            =   240
      TabIndex        =   3
      Top             =   1920
      Width           =   1215
   End
   Begin HScrollBar hsbTempo 
      Height          =   495
      Left            =   240
      TabIndex        =   2
      Top             =   1320
      Width           =   6735
   End
   Begin Frame Frame1 
      Caption         =   "Tempo"
      Height          =   1575
      Left            =   120
      TabIndex        =   1
      Top             =   960
      Width           =   6975
   End
   Begin CommandButton cmdPlay 
      Caption         =   "&Play"
      Height          =   855
      Left            =   120
      TabIndex        =   0
      Top             =   2760
      Width           =   3135
   End
   Begin Label Label1 
      Caption         =   "Position"
      Height          =   255
      Left            =   240
      TabIndex        =   9
      Top             =   120
      Width           =   855
   End
End
Option Explicit

Dim gNormalTempo

Sub cmdExit_Click ()
    End
End Sub

Sub cmdFast_Click ()
    hsbTempo.Value = hsbTempo.Max
End Sub

Sub cmdNormal_Click ()
    hsbTempo.Value = gNormalTempo
End Sub

Sub cmdPlay_Click ()

    ' Play or Stop?
    If cmdPlay.Caption = "&Play" Then
       TegommMid.From = hsbPosition.Value
       TegommMid.Command = "Play"
       cmdPlay.Caption = "Sto&p"
    Else
       TegommMid.Command = "Stop"
       cmdPlay.Caption = "&Play"
    End If

End Sub

Sub cmdSlow_Click ()
    hsbTempo.Value = hsbTempo.Min
End Sub

Sub Form_Load ()

    Dim MidiFile
    
    ' Set the DeviceType property for playback of
    ' MIDI files.
    TegommMid.DeviceType = "Sequencer"

    ' Set the FileName property.
    MidiFile = Left(App.Path, 2) + "\MVPROG\MIDI\HOLIDAY3.MID"
    TegommMid.FileName = MidiFile

    ' Make the multimedia control invisible.
    TegommMid.Visible = False
    
    ' Issue an Open command.
    TegommMid.Command = "Open"

    ' If Open command failed, display an error message.
    If TegommMid.Error <> 0 Then
       MsgBox "Cannot open " + MidiFile, 0, "ERROR"
    End If
  
    ' Set the Min and Max of the hsbPosition scroll bar.
    hsbPosition.Min = 0
    hsbPosition.Max = TegommMid.Length

    ' Set the timer interval of the multimedia control
    ' to 100 milliseconds.
    TegommMid.UpdateInterval = 100

    ' Store the normal tempo.
    gNormalTempo = TegommMid.Tempo
    
    ' Set the Min and Max of the hsbTempo scroll bar.
    hsbTempo.Min = gNormalTempo / 2
    hsbTempo.Max = gNormalTempo * 1.5

    ' Set the hsbTempo scroll bar to the normal tempo.
    hsbTempo.Value = gNormalTempo


End Sub

Sub hsbTempo_Change ()
    
    ' Set the Tempo property to the current value
    ' of the hsbTempo scroll bar.
    TegommMid.Tempo = hsbTempo.Value

End Sub

Sub TegommMid_Done ()
    
    ' Did playback position reach the end of the file?
    If TegommMid.Position = TegommMid.Length Then
       cmdPlay.Caption = "&Play"
       TegommMid.Command = "Prev"
    End If

    ' Set the hsbPosition scroll bar to the
    ' current playback position.
    hsbPosition.Value = TegommMid.Position

End Sub

Sub TegommMid_StatusUpdate ()
    
    ' If currently playback is in progress,
    ' set the hsbPosition scroll bar to the
    ' current playback position.
    If TegommMid.Mode = 526 Then
       hsbPosition.Value = TegommMid.Position
    End If

End Sub

