VERSION 2.00
Begin Form frmWest 
   BackColor       =   &H00FF0000&
   Caption         =   "The West Program"
   ClientHeight    =   6345
   ClientLeft      =   600
   ClientTop       =   840
   ClientWidth     =   7995
   Height          =   6750
   Icon            =   WEST.FRX:0000
   Left            =   540
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   ScaleHeight     =   6345
   ScaleWidth      =   7995
   Top             =   495
   Width           =   8115
   WindowState     =   2  'Maximized
   Begin CheckBox chkAutoRepeat 
      BackColor       =   &H00FF0000&
      Caption         =   "&Auto Repeat"
      ForeColor       =   &H00FFFFFF&
      Height          =   495
      Left            =   6360
      TabIndex        =   7
      Top             =   600
      Width           =   1455
   End
   Begin CommandButton cmdSlow 
      BackColor       =   &H00FF0000&
      Caption         =   "S&lowest"
      Height          =   495
      Left            =   6360
      TabIndex        =   6
      Top             =   1800
      Width           =   1455
   End
   Begin CommandButton cmdFast 
      BackColor       =   &H00FF0000&
      Caption         =   "&Fastest"
      Height          =   495
      Left            =   6360
      TabIndex        =   5
      Top             =   3000
      Width           =   1455
   End
   Begin CommandButton cmdNormal 
      BackColor       =   &H00FF0000&
      Caption         =   "&Normal Speed"
      Height          =   495
      Left            =   6360
      TabIndex        =   4
      Top             =   2400
      Width           =   1455
   End
   Begin CommandButton cmdExit 
      BackColor       =   &H00FF0000&
      Caption         =   "E&xit"
      Height          =   495
      Left            =   6360
      TabIndex        =   3
      Top             =   3600
      Width           =   1455
   End
   Begin CommandButton cmdPlay 
      BackColor       =   &H00FF0000&
      Caption         =   "&Play"
      Height          =   495
      Left            =   6360
      TabIndex        =   2
      Top             =   1200
      Width           =   1455
   End
   Begin HScrollBar hsbSpeed 
      Height          =   615
      Left            =   240
      TabIndex        =   1
      Top             =   5640
      Width           =   7095
   End
   Begin TEGOMM TegommMid 
      BorderStyle     =   0  'None
      DeviceType      =   ""
      FileName        =   ""
      Height          =   495
      Left            =   1800
      pcSpeed         =   100
      pcTaskInterval  =   0
      RecordMode      =   0  'Insert
      Shareable       =   0   'False
      Silent          =   0   'False
      TabIndex        =   0
      Tempo           =   0
      Top             =   1080
      UpdateInterval  =   0
      Width           =   3510
   End
   Begin Image imgFrame 
      Height          =   495
      Index           =   5
      Left            =   3000
      Top             =   2880
      Width           =   1215
   End
   Begin Image imgFrame 
      Height          =   495
      Index           =   4
      Left            =   1680
      Top             =   2880
      Width           =   1215
   End
   Begin Image imgFrame 
      Height          =   495
      Index           =   3
      Left            =   360
      Top             =   2880
      Width           =   1215
   End
   Begin Image imgFrame 
      Height          =   495
      Index           =   2
      Left            =   3000
      Top             =   2280
      Width           =   1215
   End
   Begin Image imgFrame 
      Height          =   495
      Index           =   1
      Left            =   1680
      Top             =   2280
      Width           =   1215
   End
   Begin Image imgFrame 
      Height          =   495
      Index           =   0
      Left            =   360
      Top             =   2280
      Width           =   1215
   End
End
Option Explicit

Dim gNormalTempo

Sub cmdExit_Click ()
    End
End Sub

Sub cmdFast_Click ()

    hsbSpeed = hsbSpeed.Max

End Sub

Sub cmdNormal_Click ()
    
    hsbSpeed.Value = 100

End Sub

Sub cmdPlay_Click ()

    ' Play or Stop?
    If cmdPlay.Caption = "&Play" Then
       TegommMid.Command = "Play"
       cmdPlay.Caption = "Sto&p"
    Else
       TegommMid.Command = "Stop"
       cmdPlay.Caption = "&Play"
    End If

End Sub

Sub cmdSlow_Click ()
    
    hsbSpeed.Value = hsbSpeed.Min

End Sub

Sub Form_Load ()
    
    Dim i
    Dim MidiFile

    ' Make the six frames in the imgFrame() control
    ' array invisible.
    For i = 0 To 5
        imgFrame(i).Visible = False
    Next i

    ' Load the six bitmaps of the show into the
    ' imgFrame image control array.
    imgFrame(0) = LoadPicture(Left(App.Path, 2) + "\MVPROG\BMP\WEST0.BMP")
    imgFrame(1) = LoadPicture(Left(App.Path, 2) + "\MVPROG\BMP\WEST1.BMP")
    imgFrame(2) = LoadPicture(Left(App.Path, 2) + "\MVPROG\BMP\WEST2.BMP")
    imgFrame(3) = LoadPicture(Left(App.Path, 2) + "\MVPROG\BMP\WEST3.BMP")
    imgFrame(4) = LoadPicture(Left(App.Path, 2) + "\MVPROG\BMP\WEST4.BMP")
    imgFrame(5) = LoadPicture(Left(App.Path, 2) + "\MVPROG\BMP\WEST5.BMP")
    
    ' Open the MIDI file PICKIN6.MID.
    MidiFile = Left(App.Path, 2) + "\MVPROG\MIDI\PICKIN6.MID"
    TegommMid.DeviceType = "Sequencer"
    TegommMid.FileName = MidiFile
    TegommMid.Visible = False
    TegommMid.Command = "Open"
    
    ' Did the Open command fail?
    If TegommMid.Error <> 0 Then
       MsgBox "Cannot open " + MidiFile, 0, "ERROR"
    End If

    ' Update the gNormalTempo variable.
    gNormalTempo = TegommMid.Tempo
    
    ' Set the Min and Max of the hsbSpeed scroll bar.
    hsbSpeed.Min = 50
    hsbSpeed.Max = 150
    
    ' Initialize the hsbSpeed scroll bar.
    hsbSpeed.Value = 100
    
    ' Display the first frame of the show.
    frmWest.Picture = imgFrame(0).Picture

End Sub

Sub hsbSpeed_Change ()

    ' Set the timer of the multimedia control according
    ' to the value of the hsbSpeed scroll bar.
    TegommMid.UpdateInterval = (100 / hsbSpeed.Value) * 250

    ' Set the playback Tempo according to the value
    ' of the hsbSpeed scroll bar.
    TegommMid.Tempo = (hsbSpeed.Value / 100) * gNormalTempo

End Sub

Sub TegommMid_Done ()
    
    ' Change the caption of the cmdPlay button to "&Play"
    cmdPlay.Caption = "&Play"
    
    ' Display the first frame of the show.
    frmWest.Picture = imgFrame(0).Picture
    
    ' Has playback position reached the end of the file?
    If TegommMid.Position = TegommMid.Length Then
       
       ' Rewind the playback position.
       TegommMid.Command = "Prev"
       
       ' If Auto Repeat is requested, play again.
       If chkAutoRepeat.Value = 1 Then
          cmdPlay_Click
       End If
    
    End If

End Sub

Sub TegommMid_StatusUpdate ()
    
    Static CurrentFrame

    ' Is the show currently in progress?
    If cmdPlay.Caption = "Sto&p" Then
       
       ' Increment the frame number.
       CurrentFrame = CurrentFrame + 1
    
       ' If last frame was displayed, start all over again.
       If CurrentFrame > 5 Then CurrentFrame = 0

       ' Display the frame.
       frmWest.Picture = imgFrame(CurrentFrame).Picture

    End If

End Sub

